gnutls_cipher_suite_get_name(3)

NAME
gnutls_cipher_suite_get_name - API function

SYNOPSIS
#include <gnutls/gnutls.h>

const char * gnutls_cipher_suite_get_name(gnutls_kx_algorithm_t kx_algorithm, gnutls_cipher_algorithm_t cipher_algorithm, gnutls_mac_algorithm_t mac_algorithm);

ARGUMENTS

gnutls_kx_algorithm_t kx_algorithm
    is a Key exchange algorithm

gnutls_cipher_algorithm_t cipher_algorithm
    is a cipher algorithm

gnutls_mac_algorithm_t mac_algorithm
    is a MAC algorithm

DESCRIPTION
Note that the full cipher suite name must be prepended by TLS or SSL depending of the protocol in use.

RETURNS
a string that contains the name of a TLS cipher suite, specified by the given algorithms, or NULL.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.